package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFEW4 extends MwfRequest<MWFEW4, MWFEW4Response> {

    @Parameter(name = "APPL_KEY")
    MWFEW4 applKey(Long applKey);
    @Parameter(name = "APPL_PRINTED_FLAG")
    MWFEW4 applPrintedFlag(Long applPrintedFlag);
    @Parameter(name = "APPL_READ_FLAG")
    MWFEW4 applReadFlag(Long applReadFlag);
    @Parameter(name = "APPL_SET_KEY")
    MWFEW4 applSetKey(Long applSetKey);
    @Parameter(name = "APPROVER_REQ_KEY")
    MWFEW4 approverReqKey(Long approverReqKey);
    @Parameter(name = "CONTEXT")
    MWFEW4 context(String context);
    @Parameter(name = "REQ_INFOLIMIT_TYPE")
    MWFEW4 reqInfolimitType(String reqInfolimitType);
    @Parameter(name = "WF_ID")
    MWFEW4 wfId(String wfId);
    @Parameter(name = "WF_STATE")
    MWFEW4 wfState(String wfState);
}
